summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-04-11 16:42:29 (EDT)
committer P. J. McDermott <pjm@nac.net>2012-04-11 16:42:29 (EDT)
commit26cb9b940013716a549e7cb8a9f37d2ffe97f405 (patch)
tree72239b2bc2b67ec685cc3fed54810b8bbe021143
parent839465ecce8a1a09660aeda6eba8a6e98d75c21f (diff)
Fix pathname expansion in oh-installfiles.
-rw-r--r--src/oh-installfiles.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/src/oh-installfiles.sh b/src/oh-installfiles.sh
index 73a27a4..5598412 100644
--- a/src/oh-installfiles.sh
+++ b/src/oh-installfiles.sh
@@ -44,14 +44,14 @@ while [ ${#} -gt 0 ]; do
# Loop over lines in the 'install' file.
while read -r pattern; do
- for file in ${pattern}; do
+ for file in dest/${pattern}; do
# Ensure that the full directory path of the pattern exists in the
# package staging area.
- dir=$(dirname ${file})
+ dir=$(dirname ${file#dest/})
mkdir -p ${1}.data/${dir} || exit 1
# Move any matching files from the installation destination to the
# package staging area.
- mv dest/${file} ${1}.data/${dir} || exit 1
+ mv ${file} ${1}.data/${dir} || exit 1
done
done < ../${1}.pkg/install
shift